// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "component/display/material/SimpleTexturedMaterial.hpp"

#define RPG_ENTITY_SIZE 32.0f

namespace Dawn {
  class RPGEntity final : public SceneComponent {
    private:

    protected:
      std::shared_ptr<MeshRenderer> meshRenderer;
      std::shared_ptr<Mesh> mesh;
      std::shared_ptr<SimpleTexturedMaterial> material;

    public:

      void onInit() override;
      void onDispose() override;
  };
}